/*
** Module   : LegacyTable.java
** Abstract : Annotation used to set the legacy table name for a DMO class.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20131015 Created initial version.
** 002 VMN 20140422 Added table() method.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to mark a DMO implementation class with its legacy table name.
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface LegacyTable
{
   /** The name of the legacy table associated with the DMO implementation class. */
   String name();

   /**
    *  The name of the converted table, quoted with backticks if there is corresponding "escape"
    *  hint.
    */
   String table();
}
